<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Bigger
 */

?>

	</div><!-- #content -->

	<footer id="site-footer" class="site-footer">
		<?php if( bigger_get_option('footer_widgets') ){ if ( is_active_sidebar( 'footer-area-1' ) || is_active_sidebar( 'footer-area-2' ) || is_active_sidebar( 'footer-area-3' ) || is_active_sidebar( 'footer-area-4' ) ){ ?>
			<div class="main-footer section-padd">
		    	<div class="container">
			    	<div class="row">
			    		<?php get_sidebar('footer');?>
			    	</div> 
			    </div>
		    </div><!-- .main-footer -->
		<?php } } if( bigger_get_option('footer_bottom') ){ ?>
		<div class="bot-footer">
			<div class="container container-bigger">
				
				<div class="dtable bottom-content">
					<div id="logo-footer" class="site-logo dcell">
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
							<img src="<?php echo bigger_get_option('logo_footer'); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
						</a>
					</div>
					<?php $socials = bigger_get_option('socials_contact', array()); if($socials){ ?>
					<div class="socials-footer text-center dcell">
						<ul class="socials">
							<?php foreach ($socials as $social) { ?>
							<li>
								<a href="<?php echo esc_url( $social['social_link'] ); ?>"><?php echo wp_specialchars_decode( $social['social_icon'] ); ?></a>
							</li>
		                	<?php } ?>
		                </ul>
		            </div>
		            <?php } if( bigger_get_option('copyright') ){ ?>
		            <div class="footer-copyright dcell text-right">
	                	<?php echo wp_kses( bigger_get_option('copyright'), wp_kses_allowed_html('post') ); ?>
	                </div>
	            	<?php } ?>
	                <div class="footer-nav dcell text-right">
	            		<?php
							wp_nav_menu( array(
								'theme_location' => 'footer',
								'menu_id'        => 'footer-menu',
								'menu_class'     => 'footer-menu',
								'container'      => '',
							) );
						?>
	            	</div>
            	</div>
			</div>
		</div><!-- .copyright-footer -->
		<?php } ?>
		<!-- #back-to-top -->
		<a id="back-to-top" href="#" class="show"><i class="icon ion-md-arrow-up"></i></a>
	</footer><!-- #site-footer -->
</div><!-- #page -->

<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
